Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuENuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuENuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuENuclearCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QNuENuclearCrossSection.hh,v 1.1 2007/10/02 10:00:37 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QNuENuclearCrossSection.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -33,5 +33,5 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 20-SEP-2007
 //
-// Short description: this G4 singletone class calculates (nu_e,e) Nuclear cross section
+// Short description: this G4 singletone class calculates (nu_e,e-) Nuclear cross section
 // (Energy limit: E<320GeV->badExtrapolation) for a particular isotope (proportional to A)
 // ****************************************************************************************
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuMuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuMuNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuMuNuclearCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QNuMuNuclearCrossSection.hh,v 1.6 2006/12/01 10:57:46 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QNuMuNuclearCrossSection.hh,v 1.7 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -33,5 +33,5 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 20-DEC-2005
 //
-// Short description: this G4 singletone class calculates (nu_mu,mu) Nuclear cross section
+// Short description: this G4 singletone class calculates (nu_mu,mu-) Nuclear cross section
 // (Energy limit: E<320GeV->badExtrapolation) for a particular isotope (proportional to A)
 // ****************************************************************************************
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuNuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuNuNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNuNuNuclearCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QNuNuNuclearCrossSection.hh,v 1.1 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QNuNuNuclearCrossSection.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -33,5 +33,5 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 20-DEC-2005
 //
-// Short description: this G4 singletone class calculates (nu_mu,mu) Nuclear cross section
+// Short description: this G4 singletone class calculates (nu,nu) Nuclear cross section
 // (Energy limit: E<320GeV->badExtrapolation) for a particular isotope (proportional to A)
 // ****************************************************************************************
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QPhotonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QPhotonNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QPhotonNuclearCrossSection.hh	(revision 1055)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -36,4 +36,8 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: This is an original CHIPS process for photo-nuclear
+// interactions, which does not include "fast and dirty" corrections for
+// reactions near threshold, with respect to the GHAD application of CHIPS.
+// ------------------------------------------------------------------------
 
 #ifndef G4QPhotonNuclearCrossSection_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QProtonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QProtonNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QProtonNuclearCrossSection.hh	(revision 1055)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -36,4 +36,6 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: CHIPS cross-sections for proton-nuclear interactions
+// -----------------------------------------------------------------------
 
 #ifndef G4QProtonNuclearCrossSection_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QStringChipsParticleLevelInterface.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QStringChipsParticleLevelInterface.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QStringChipsParticleLevelInterface.hh	(revision 1055)
@@ -23,4 +23,6 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+// Short description: Interface of QGSC to CHIPS (Energy Flow of soft hadrons) 
+// ---------------------------------------------------------------------------
 //
 #ifndef G4QStringChipsParticleLevelInterface_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QTauNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QTauNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QTauNuclearCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QTauNuclearCrossSection.hh,v 1.6 2008/10/24 19:23:48 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QTauNuclearCrossSection.hh,v 1.7 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -39,4 +39,9 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: reaction cross-sections for tau-nuclear reactions, which
+// are integrals over virtual equivalent photons photons. The tau-nuclear
+// reactions do not exist in GHAD, so by the present physics lists it is not
+// simulated at all.
+// --------------------------------------------------------------------------------
 
 #ifndef G4QTauNuclearCrossSection_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QuasiFreeRatios.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QuasiFreeRatios.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QuasiFreeRatios.hh	(revision 1055)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -31,5 +31,8 @@
 // M.V. Kossov, ITEP(Moscow), 24-OCT-01
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 15-Oct-2006
-//
+// ----------------------------------------------------------------------
+// Short description: Provides percentage of quasi-free and quasi-elastic
+// reactions in the inelastic reactions.
+// ----------------------------------------------------------------------
 
 #ifndef G4QuasiFreeRatios_h
@@ -68,5 +71,5 @@
   std::pair<G4double,G4double> GetChExFactor(G4double pIU, G4int pPDG, G4int Z, G4int N);
   // scatter (pPDG,p4M) on a virtual nucleon (NPDG,N4M), result: final pair(newN4M,newp4M)
-  // if(newN4M.e()==0.) - below threshold, XS=0, no scattering of the progectile happened
+  // if(newN4M.e()==0.) - below threshold, XS=0, no scattering of the projectile happened
   std::pair<G4LorentzVector,G4LorentzVector> Scatter(G4int NPDG, G4LorentzVector N4M,
                                                      G4int pPDG, G4LorentzVector p4M);
@@ -96,4 +99,4 @@
   static std::vector<G4double*> vL;     // Vector of pointers to LogTable
   static std::vector<std::pair<G4double,G4double>*> vX; // Vector of ETPointers to LogTable
-}; 					
+};
 #endif
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4StringChipsInterface.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4StringChipsInterface.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4StringChipsInterface.hh	(revision 1055)
@@ -23,4 +23,6 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+// !!! Was used in QBBC PL, NOW it is not. Must be absolete !!!
+// ============================================================
 //
 #ifndef G4StringChipsInterface_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4StringChipsParticleLevelInterface.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4StringChipsParticleLevelInterface.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4StringChipsParticleLevelInterface.hh	(revision 1055)
@@ -23,4 +23,6 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+// Short description: Interface of QGSC to CHIPS (all soft hadrons) 
+// ----------------------------------------------------------------
 //
 #ifndef G4StringChipsParticleLevelInterface_h
@@ -59,5 +61,5 @@
 
 #ifdef hdebug_SCPLI
-  		//Static variables for histogramming
+    //Static variables for histogramming
     static const G4int nbh;
     static       G4double bhmax;
@@ -71,7 +73,7 @@
     static       G4int*   ehis;
   public:
-  		//Static functions
-		  static void Reset()
-		  {
+    //Static functions
+    static void Reset()
+    {
       bhdb=bhmax/nbh;
       ehde=bhmax/nbh;
@@ -85,14 +87,14 @@
       }
     }
-		  static void SetMaxB(G4double mB) {bhmax=mB;}
-		  static void SetMaxE(G4double mE) {ehmax=mE;}
-		  static G4int GetB(G4int i){return bhis[i];}
-		  static G4int GetE(G4int i){return ehis[i];}
-		  static G4double GetTot()  {return toth;}
-		  static G4int GetNbn()     {return nbh;}
-		  static G4double GetDB()   {return bhdb;}
-		  static G4double GetDE()   {return ehde;}
-		  static G4int GetBov()     {return bover;}
-		  static G4int GetEov()     {return eover;}
+    static void SetMaxB(G4double mB) {bhmax=mB;}
+    static void SetMaxE(G4double mE) {ehmax=mE;}
+    static G4int GetB(G4int i){return bhis[i];}
+    static G4int GetE(G4int i){return ehis[i];}
+    static G4double GetTot()  {return toth;}
+    static G4int GetNbn()     {return nbh;}
+    static G4double GetDB()   {return bhdb;}
+    static G4double GetDE()   {return ehde;}
+    static G4int GetBov()     {return bover;}
+    static G4int GetEov()     {return eover;}
 #endif
 };
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4VQCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4VQCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4VQCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VQCrossSection.hh,v 1.9 2007/11/15 09:36:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4VQCrossSection.hh,v 1.10 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -73,4 +73,6 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: a basic class for all CHIPS reaction cross-sections.
+// -----------------------------------------------------------------------
 
 #ifndef G4VQCrossSection_h
@@ -98,5 +100,5 @@
   // At present momentum (pMom) must be in GeV (@@ Units)
   virtual G4double GetCrossSection(G4bool, G4double, G4int, G4int, G4int pPDG=0)
-                                                                 		{return G4double(pPDG);}
+                                                                   {return G4double(pPDG);}
 
   virtual G4double ThresholdEnergy(G4int Z, G4int N, G4int PDG=0); // Gives 0 by default
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4ChiralInvariantPhaseSpace.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4ChiralInvariantPhaseSpace.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4ChiralInvariantPhaseSpace.cc	(revision 1055)
@@ -24,7 +24,6 @@
 // ********************************************************************
 //
-
 //
-// Created:
+// Created: H.-P. Wellicsh: GHAD model wrapper for the CHIPS model (1997)
 // 16.01.08 V.Ivanchenko use initialization similar to other CHIPS models
 //
@@ -96,14 +95,15 @@
 			   etaToEtaPrime);
   //  G4QEnvironment::SetParameters(solidAngle);
-//  G4cout << "Input info "<< projectilePDGCode << " " 
-//         << targetPDGCode <<" "
-//	 << 1./MeV*proj4Mom<<" "
-//	 << 1./MeV*targ4Mom << " "
-//	 << nop << G4endl;
+  //  G4cout << "Input info "<< projectilePDGCode << " " 
+  //         << targetPDGCode <<" "
+  //	 << 1./MeV*proj4Mom<<" "
+  //	 << 1./MeV*targ4Mom << " "
+  //	 << nop << G4endl;
   G4QHadronVector projHV;
   G4QHadron* iH = new G4QHadron(projectilePDGCode, 1./MeV*proj4Mom);
   projHV.push_back(iH);
   G4QEnvironment* pan= new G4QEnvironment(projHV, targetPDGCode);
-  //G4Quasmon* pan= new G4Quasmon(projectilePDGCode, targetPDGCode, 1./MeV*proj4Mom, 1./MeV*targ4Mom, nop);
+  //G4Quasmon* pan= new G4Quasmon(projectilePDGCode, targetPDGCode,
+  //                              1./MeV*proj4Mom, 1./MeV*targ4Mom, nop);
   G4QHadronVector* output=0;
   try
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4GammaNuclearReaction.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4GammaNuclearReaction.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4GammaNuclearReaction.cc	(revision 1055)
@@ -23,8 +23,9 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+// Short description: The CHIPS model provides the G4QHadronVector
+// output, which is converted to the G4 particle-singletons
+// --------------------------------------------------------------------
 //
-
-//
-// Created:
+// Created: J.P. Wellisch, 2000/08/18 
 // 01.09.2008 V.Ivanchenko 
 //
